Allow special parameters for {{Special:Newimages}}
Closed, ResolvedPublic

Description

Author: beesley

Description:
{{Special:Newpages/5}} will display the 5 newest pages. Please make
{{Special:Newimages/5}} do the same for the latest 5 images. Currently,
{{Special:Newimages/5}} just appears as a link to the [[Special:Newimages]] page.


Version: 1.6.x
Severity: enhancement
URL: http://commons.wikimedia.org/wiki/Special:Newimages

bzimport added a project: MediaWiki-Special-pages.Via ConduitNov 21 2014, 8:48 PM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz3358.
bzimport created this task.Via LegacySep 4 2005, 10:52 AM
bzimport added a comment.Via ConduitSep 8 2005, 2:33 PM

avarab wrote:

This is now possible in HEAD, marking this bug as FIXED.

bzimport added a comment.Via ConduitSep 8 2005, 4:42 PM

beesley wrote:

If you use it twice on a page, raw HTML is shown. Try typing
{{Special:Newimages/2}}{{Special:Newimages/2}} to see an example.

With newpages, you can use parameters like limit=5,offset=10,shownav. Here, only
the limit seems to work. Is there any chance those other parameters could be
allowed? COmpare {{Special:Newpages/limit=5,offset=10,shownav}} with
{{Special:Newimages/limit=5,offset=10,shownav}}

bzimport added a comment.Via ConduitSep 8 2005, 4:45 PM

avarab wrote:

Reopening because of the HTML problem

bzimport added a comment.Via ConduitJan 2 2006, 9:57 AM

jepe wrote:

Because of a new function to show the images uploaded by a particular user, a
parameter (number) now shows the images from a user with the userid:(number)
instead of the number new images.

bzimport added a comment.Via ConduitSep 18 2007, 2:10 AM

bugs wrote:

Changing name because the original intent of this bug has already been fixed.

IAlex added a comment.Via ConduitAug 2 2011, 3:47 PM

Should this be considered as fixed with the resolution of bug 15558 ?

duplicatebug added a comment.Via ConduitAug 6 2012, 7:19 PM

No need for special parameters, due to fix of bug 15558

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.